Fwiw I would like to see such dependencies listed so that we can properly
install trunk via automation.
On 24 Aug 2014 10:43, "Maru Newby" <ma...@redhat.com> wrote:

>
> On Aug 14, 2014, at 1:55 PM, Ihar Hrachyshka <ihrac...@redhat.com> wrote:
>
> > Signed PGP part
> > FYI: I've uploaded a review for openstack/requirements to add the
> > upstream module into the list of potential dependencies [1]. Once it's
> > merged, I'm going to introduce this new requirement for Neutron.
>
> The only reason someone would install ncclient would be because they had a
> brocade or cisco solution that they wanted to integrate with and I don't
> think that justifies making Neutron depend on the library.
>
>
> Maru
>
>
> > [1]: https://review.openstack.org/114213
> >
> > /Ihar
> >
> > On 12/08/14 16:27, Ihar Hrachyshka wrote:
> > > Hey all,
> > >
> > > as per [1], Cisco Nexus ML2 plugin requires a patched version of
> > > ncclient from github. I wonder:
> > >
> > > - whether this information is still current; - why don't we depend
> > > on ncclient thru our requirements.txt file.
> > >
> > > [1]: https://wiki.openstack.org/wiki/Neutron/ML2/MechCiscoNexus
> > >
> > > Cheers, /Ihar
> > >
> > > _______________________________________________ OpenStack-dev
> > > mailing list OpenStack-dev@lists.openstack.org
> > > http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev
> > >
> >
> >
> > _______________________________________________
> > OpenStack-dev mailing list
> > OpenStack-dev@lists.openstack.org
> > http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev
>
>
> _______________________________________________
> OpenStack-dev mailing list
> OpenStack-dev@lists.openstack.org
> http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev
>
>
_______________________________________________
OpenStack-dev mailing list
OpenStack-dev@lists.openstack.org
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev

Reply via email to